PETSc version 3.15.5
Fix/Edit manual page

# KSPFCGGetNprealloc

get the number of directions preallocate by FCG

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPFCGGetNprealloc(KSP ksp,PetscInt *nprealloc)

Not Collective

### Input Parameter

| ksp | - the Krylov space context

### Output Parameter

| nprealloc | - the number of directions preallocated

### See Also

KSPFCG, KSPFCGGetTruncationType(), KSPFCGSetNprealloc()

### Level

advanced

### Location

src/ksp/ksp/impls/fcg/fcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages